[arch-commits] CVS update of extra/gnome/libgnomesu (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Apr 22 13:46:06 EDT 2007


    Date: Sunday, April 22, 2007 @ 13:46:06
  Author: jgc
    Path: /home/cvs-extra/extra/gnome/libgnomesu

Modified: PKGBUILD (1.3 -> 1.4)

upgpkg: libgnomesu 1.0.0-2
Move


----------+
 PKGBUILD |   25 +++++++++++++------------
 1 file changed, 13 insertions(+), 12 deletions(-)


Index: extra/gnome/libgnomesu/PKGBUILD
diff -u extra/gnome/libgnomesu/PKGBUILD:1.3 extra/gnome/libgnomesu/PKGBUILD:1.4
--- extra/gnome/libgnomesu/PKGBUILD:1.3	Fri May 26 04:12:06 2006
+++ extra/gnome/libgnomesu/PKGBUILD	Sun Apr 22 13:46:06 2007
@@ -1,24 +1,25 @@
-# $Id: PKGBUILD,v 1.3 2006/05/26 08:12:06 andyrtr Exp $
+# $Id: PKGBUILD,v 1.4 2007/04/22 17:46:06 jgc Exp $
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=libgnomesu
 pkgver=1.0.0
-pkgrel=1
+pkgrel=2
 pkgdesc="Library which allows you to run programs as root or another user"
 arch=(i686 x86_64)
-depends=('libgnomeui')
-makedepends=('intltool')
+license=('LGPL' 'GPL')
+depends=('libgnomeui>=2.18.1-2')
+makedepends=('pkgconfig' 'perlxml')
+options=('nolibtool')
 url="http://members1.chello.nl/~h.lai/libgnomesu/"
-source=(http://members1.chello.nl/~h.lai/libgnomesu/$pkgname-$pkgver.tar.gz)
+source=(http://members1.chello.nl/~h.lai/libgnomesu/${pkgname}-${pkgver}.tar.gz)
 md5sums=('9f1cb8c3f61ad2fb31ad05a5d3eb211d')
 
 build() {
-  [ "$GNOMEDIR" = "" ] && . /etc/profile.d/gnome.sh
-  
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/opt/gnome
+  cd ${startdir}/src/${pkgname}-${pkgver}
+  ./configure --prefix=/usr --sysconfdir=/etc \
+              --libexecdir=/usr/lib/libgnomesu \
+              --localstatedir=/var --disable-static
   make || return 1
-  make DESTDIR=$startdir/pkg install
-  sed -i -e 's/pam_stack.*/pam_unix\.so/' $startdir/pkg/etc/pam.d/gnomesu-pam || return 1
-  find $startdir/pkg -name '*.la' -exec rm {} \;
+  make DESTDIR=${startdir}/pkg install
+  sed -i -e 's/pam_stack.*/pam_unix\.so/' ${startdir}/pkg/etc/pam.d/gnomesu-pam || return 1
 }




More information about the arch-commits mailing list